Linux Kernel KVM虚拟机KVM_MAX_MCE_BANKS本地溢出漏洞

2009-11-18T00:00:00
ID SSV:12662
Type seebug
Reporter Root
Modified 2009-11-18T00:00:00

Description

BUGTRAQ ID: 37035

Linux Kernel是开放源码操作系统Linux所使用的内核。

Linux Kernel的arch/x86/kvm/x86.c文件中的kvm_vcpu_ioctl_x86_setup_mce()函数中存在缓冲区溢出漏洞,本地用户可以通过发送特制的KVM_X86_SETUP_MCE IOCTL请求触发这个溢出,导致执行任意内核态代码。

Linux kernel 2.6.x 厂商补丁:

Linux

目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=a9e38c3e01ad242fe2a625354cf065c34b01e3aa